Subject: Re: bug#58070: [PATCH] Add tamil99 input method

From: Arun Isaac <[email-masked]>
Date: Tue, 27 Sep 2022 02:29:17 +0530

>> > Why do you think it will confuse users to have two input methods, each
>> > one for one of the layouts?  If the supported layout is clearly stated
>> > in the documentation (or even in the name of the IM), why would it
>> > confuse?
>> 
>> They are both named "Tamil99", just slightly different implementations.
>> In that case, how do you propose to name these slightly different
>> implementations that have a single name---Tamil99?
>
> No, they should have 2 different names, of course.  Say, Tamil99-ibus
> and Tamil99-windows.

I do agree with Visuwesh that we should not offer two separate input
methods---one for each implementation. Our code is but two different
implementations of *exactly* the same input method. The differences in
behaviour are far too subtle and would only confuse the user.